classification
Title: Backport set literals
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: alexandre.vassalotti, benjamin.peterson, brett.cannon, gvanrossum, rhettinger
Priority: normal Keywords: 26backport, patch

Created on 2008-03-17 17:38 by brett.cannon, last changed 2010-01-09 23:37 by alexandre.vassalotti. This issue is now closed.

Files
File name Uploaded Description Edit
backport_set_literal.diff alexandre.vassalotti, 2009-08-04 22:28
Messages (9)
msg63692 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-17 17:38
Set literals need to be backported.
msg70455 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-31 01:52
I'm going to defer this to 2.7.
msg91279 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2009-08-04 22:28
Here is a patch for backporting set literals to the trunk.
msg91280 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2009-08-04 22:36
Guido, I thought you had decided for this to just be a 3.x feature.

Alex, if this goes forward, were you also going to change the repr() for
sets and the corresponding pprint code?  Are set comprehensions on the
radar screen also.  IMO, these all go hand in hand.
msg91284 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2009-08-04 23:27
I think we should keep the repr() of sets as is to avoid breaking any
code. And yes, I plan to port set comprehensions along with dict
comprehension.
msg91289 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2009-08-05 00:35
Raymond, I know you see this differently, but personally I don't see a
problem with 2.7 getting additional backports of 3.x features, as long
as they are backwards compatible. While personally I wouldn't spend
effort on this particular backport, I don't see a problem when someone
volunteers a patch. In this specific case, I am fine with accepting set
literals and set comprehensions as new syntax. I do agree that repr()
needs to be kept the same as it was under 2.6.
msg91294 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2009-08-05 01:53
These all seem fine to me.  Was just checking in because I thought you
had previously pronounced otherwise.
msg96256 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2009-12-11 14:11
If there are no objections, I will commit this patch later this week.
msg97478 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2010-01-09 23:37
It been a long week, but this patch is now committed as r77400.
History
Date User Action Args
2010-01-09 23:37:29alexandre.vassalottisetstatus: open -> closed
resolution: accepted
messages: + msg97478

stage: patch review -> resolved
2009-12-11 14:11:00alexandre.vassalottisetmessages: + msg96256
2009-08-05 23:12:32alexandre.vassalottilinkissue2333 dependencies
2009-08-05 01:53:13rhettingersetmessages: + msg91294
2009-08-05 00:35:13gvanrossumsetassignee: gvanrossum ->
messages: + msg91289
2009-08-04 23:27:33alexandre.vassalottisetmessages: + msg91284
2009-08-04 22:36:59rhettingersetpriority: critical -> normal

nosy: + gvanrossum, rhettinger
messages: + msg91280

assignee: gvanrossum
2009-08-04 22:28:10alexandre.vassalottisetfiles: + backport_set_literal.diff

nosy: + alexandre.vassalotti
messages: + msg91279

keywords: + patch
stage: patch review
2008-07-31 01:52:31benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg70455
versions: + Python 2.7, - Python 2.6
2008-03-17 20:10:26brett.cannonsetpriority: release blocker -> critical
2008-03-17 17:38:45brett.cannoncreate